## php.java.script
Class InteractivePhpScriptEngineFactory

    java.lang.Object
      php.java.script.PhpScriptEngineFactory
          php.java.script.InteractivePhpScriptEngineFactory

All Implemented Interfaces:
  ScriptEngineFactory

    public class InteractivePhpScriptEngineFactory

extends PhpScriptEngineFactory

Constructor Summary
`InteractivePhpScriptEngineFactory()`

Method Summary
`java.lang.String` `getLanguageName()` Retrieves the name of the language supported by the ScriptEngine.
`java.util.List` `getNames()` Retrieves an array of short descriptive names such as {"javascript", "rhino"} describing the language supported by the Script Engine.
`ScriptEngine` `getScriptEngine()` Retrieves an instance of the associated ScriptEngine.

Methods inherited from class php.java.script.PhpScriptEngineFactory
`getEngineName, getEngineVersion, getExtensions, getLanguageVersion, getMethodCallSyntax, getMimeTypes, getOutputStatement, getParameter, getProgram`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InteractivePhpScriptEngineFactory

    public InteractivePhpScriptEngineFactory()

Method Detail

### getLanguageName

    public java.lang.String getLanguageName()

  Description copied from interface: `ScriptEngineFactory`
  Retrieves the name of the language supported by the ScriptEngine.

  Specified by:
    `getLanguageName` in interface `ScriptEngineFactory`
  Overrides:
    `getLanguageName` in class `PhpScriptEngineFactory`
  Returns:
    the name of the supported language

### getNames

    public java.util.List getNames()

  Description copied from interface: `ScriptEngineFactory`
  Retrieves an array of short descriptive names such as {"javascript", "rhino"} describing the language supported by the Script Engine.

  Specified by:
    `getNames` in interface `ScriptEngineFactory`
  Overrides:
    `getNames` in class `PhpScriptEngineFactory`
  Returns:
    an array of short descriptive names describing the language supported by the ScriptEngine

### getScriptEngine

    public ScriptEngine getScriptEngine()

  Description copied from interface: `ScriptEngineFactory`
  Retrieves an instance of the associated ScriptEngine.

  Specified by:
    `getScriptEngine` in interface `ScriptEngineFactory`
  Overrides:
    `getScriptEngine` in class `PhpScriptEngineFactory`
  Returns:
    an instance of the associated ScriptEngine